Subject: Re: [PATCH v4 07/12] rebase: add --update-refs option

From: Derrick Stolee <[email-masked]>
Date: Mon, 18 Jul 2022 12:55:54 -0400

On 7/18/2022 5:05 AM, SZEDER Gábor wrote:
> On Tue, Jul 12, 2022 at 01:07:00PM +0000, Derrick Stolee via GitGitGadget wrote:
>> From: Derrick Stolee <[email-masked]>

>> +--update-refs::
> 
> So the option is called '--update-refs', but ...
> 
>> +--no-update-refs::
>> +	Automatically force-update any branches that point to commits that
> 
> ... its description talks about "branches".

>> +		OPT_BOOL(0, "update-refs", &options.update_refs,
>> +			 N_("update local refs that point to commits "
> 
> And its short help talks about "local refs".
> 
> I think at least the documentation and short help should use
> consistent terminology.

Thanks for catching this. I think I should use "branches" here, but
keep the name "--update-refs". The biggest reason is that it provides
a nice parallel with the "update-ref" sequencer command. This command
allows updating _any_ ref, such as lightweight tags in refs/tags/*
or even refs in refs/my/namespace/*.

The --update-refs option doesn't create the commands to update tags
or refs in places other than refs/heads/*.

Thanks,
-Stolee